Index: library/doc/html/inline_dotgraph_2.dot
===================================================================
--- library/doc/html/inline_dotgraph_2.dot (revision 617)
+++ library/doc/html/inline_dotgraph_2.dot (revision 632)
@@ -1,27 +1,8 @@
  
-digraph datalink {
-rankdir=LR;
-subgraph cluster0 {
-node [shape=record];
-label = "MAP \n std::map<string,int>";
-map [label="{{\"a\"| \"b\" | \"c\"} | {<3> 3 |<1> 1|<2> 2}}"];
-color = "white"
+digraph estimation{
+	node [shape=box];
+	{rank="same"; "Data Source"; "Bayesian Model"}
+	"Data Source" -> "Bayesian Model" [label="data"];
+	"Bayesian Model" -> "Result Logger" [label="estimation\n result"];
+	"Data Source" -> "Result Logger" [label="Simulated\n data"];
 }
-subgraph cluster1{
-node [shape=record];
-label = "NAMES";
-names [label="{<1> \"b\" | <2> \"c\" | <3>\"a\" }"];
-color = "white"
-}
-subgraph cluster2{
-node [shape=record];
-label = "SIZES";
-labelloc = b;
-sizes [label="{<1>1 |<2> 4 |<3> 1}"];
-color = "white"
-}
-map:1 -> names:1;
-map:1 -> sizes:1;
-map:3 -> names:3;
-map:3 -> sizes:3;
-}
Index: library/doc/html/inline_dotgraph_3.dot
===================================================================
--- library/doc/html/inline_dotgraph_3.dot (revision 617)
+++ library/doc/html/inline_dotgraph_3.dot (revision 632)
@@ -1,18 +1,27 @@
  
 digraph datalink {
-  node [shape=record];
-  subgraph cluster0 {
-    label = "Up";
-      up [label="<1>|<2>|<3>|<4>|<5>"];
-    color = "white"
+rankdir=LR;
+subgraph cluster0 {
+node [shape=record];
+label = "MAP \n std::map<string,int>";
+map [label="{{\"a\"| \"b\" | \"c\"} | {<3> 3 |<1> 1|<2> 2}}"];
+color = "white"
 }
-  subgraph cluster1{
-    label = "Down";
-    labelloc = b;
-      down [label="<1>|<2>|<3>"];
-    color = "white"
+subgraph cluster1{
+node [shape=record];
+label = "NAMES";
+names [label="{<1> \"b\" | <2> \"c\" | <3>\"a\" }"];
+color = "white"
 }
-    up:1 -> down:1;
-    up:3 -> down:2;
-    up:5 -> down:3;
+subgraph cluster2{
+node [shape=record];
+label = "SIZES";
+labelloc = b;
+sizes [label="{<1>1 |<2> 4 |<3> 1}"];
+color = "white"
 }
+map:1 -> names:1;
+map:1 -> sizes:1;
+map:3 -> names:3;
+map:3 -> sizes:3;
+}
Index: library/doc/html/inline_dotgraph_4.dot
===================================================================
--- library/doc/html/inline_dotgraph_4.dot (revision 632)
+++ library/doc/html/inline_dotgraph_4.dot (revision 632)
@@ -0,0 +1,18 @@
+ 
+digraph datalink {
+  node [shape=record];
+  subgraph cluster0 {
+    label = "Up";
+      up [label="<1>|<2>|<3>|<4>|<5>"];
+    color = "white"
+}
+  subgraph cluster1{
+    label = "Down";
+    labelloc = b;
+      down [label="<1>|<2>|<3>"];
+    color = "white"
+}
+    up:1 -> down:1;
+    up:3 -> down:2;
+    up:5 -> down:3;
+}
Index: library/doc/html/formula.repository
===================================================================
--- library/doc/html/formula.repository (revision 621)
+++ library/doc/html/formula.repository (revision 632)
@@ -172,2 +172,16 @@
 \form#171:\[ f(rv|rvc) = i\Gamma(k, k/(rvc^l \circ ref^{(1-l)}) \]
 \form#172:\[ f(rv|rvc) = log\mathcal{N}( \log(rvc)-0.5\log(k^2+1), k I) \]
+\form#173:$ [d_1, d_2, \ldots d_t] $
+\form#174:\[ f(x_t|d_1\ldots d_t) \propto f(d_t|x_t,d_1\ldots d_{t-1}) f(x_t| d_1\ldots d_{t-1}) \]
+\form#175:$ d_t $
+\form#176:$ f(d_t|d_1\ldots d_{t-1})$
+\form#177:\[ f(d_{t+1}| d_1 \ldots d_{t} \]
+\form#178:$ x_{t-2} $
+\form#179:$ [a_{t-1}', b_{t+1}] $
+\form#180:\[ f(d_{t+1}| d_1 \ldots d_{t}), \]
+\form#181:\[ f(x_t|d_1\ldots d_t)=f(x_{1,t}|x_{2,t},d_1\ldots d_t)f(x_{2,t}|d_1\ldots d_t) \]
+\form#182:$ x_{1,t}$
+\form#183:$x_{2,t}$
+\form#184:$ [\theta_t, r_t, \phi_t]$
+\form#185:\[ f(\theta_t, r_t, \phi_t) = f(\theta_t, r_t| \phi_t) f(\phi_t) \]
+\form#186:$ \phi_t $
